Bug 961182 - RFE: Provide sorted output in Enabled Locales by locale code and not by language name
RFE: Provide sorted output in Enabled Locales by locale code and not by langu...
Status: CLOSED UPSTREAM
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
unspecified
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Michelle Kim
Zanata-QA Mailling List
: screened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 00:22 EDT by Parag Nemade
Modified: 2015-07-28 23:36 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-28 23:36:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2013-05-09 00:22:32 EDT
Description of problem:
When I tried to modify enabled locales for my project, I see locales are organized by its language name sorted. Please sort them by locale code. zanata.xml also uses locale code so while working on having exact locales in zanata.xml, I need to look for language name and disable unnecessary locales.

Provide sorting by locale code. I am looking at https://translate.zanata.org/zanata/iteration/edit/system-config-language/f19?cid=198804 for my project.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Parag Nemade 2013-09-10 12:11:14 EDT
Can anyone check what is the update for this issue? is this resolved or deferred or denied?
Comment 2 Ding-Yi Chen 2014-03-26 22:13:21 EDT
Parag,

We are redeveloping new project page(Bug 1000199), and the way that project add language is similar how Group add language in Zanata-3.3.2. 
That is, you can use the search field and input either language name or locale code to add languages.

However, the enable languages in the upcoming version is still not sorted by locale code as you requested.

We may later on add an element sort by locale name .
Comment 4 Ding-Yi Chen 2014-03-26 22:20:12 EDT
Correction, the bug in comment #2 should be bug 1066796
Comment 5 Parag Nemade 2014-03-26 23:31:30 EDT
This has been always a low priority issue so I don't mind to keep this again a low priority issue for further development of Zanata.
Comment 7 Damian Jansen 2015-07-13 20:20:14 EDT
Reassigned to PM
Comment 8 Zanata Migrator 2015-07-28 23:36:25 EDT
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-343

Note You need to log in before you can comment on or make changes to this bug.